/*
Copyright (c) 2016 David Gow <david@ingeniumdigital.com> 

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE. 
*/
#ifndef SHAPESHIFT_SPRITE_H
#define SHAPESHIFT_SPRITE_H

struct Sprite
{
	float x;
	float y;
	float size;
	float angle;
	float health;
	float type;
	float desired_type;
	void CollideWith(Sprite *other);
};

extern Sprite player;

void SPRITE_InitMap();
void SPRITE_Place(int x, int y, bool circ);
void SPRITE_Draw(Sprite *spr);
void SPRITE_Thrust(Sprite *spr, float amt, float angle);
void SPRITE_DoAllCollisions();
void SPRITE_DrawAll();
void SPRITE_LoadAssets();
void SPRITE_ToggleType(Sprite *spr);
void PLAYER_Update();
void PLAYER_DrawOverlay();



#endif